Summary: A graphical and command-line tool to choose a Xorg server "implementation"
Name: system-config-xselector
Version: 0.1
Release: 1
# URL: no url at this time
License: GPL
Group: System Environment/Base
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
Source0: %{name}-%{version}.tar.bz2
BuildRequires: desktop-file-utils
BuildRequires: intltool, gettext
Requires: pygtk2 >= 1.99.11
Requires: pygtk2-libglade
Requires: python2
Requires: pyxf86config >= 0.3.16
Requires: rhpl >= 0.170-1
Requires: /usr/bin/Xorg
Requires: metacity
Prereq: gtk2 >= 2.6
Prereq: hicolor-icon-theme

%description
 %{name} is a graphical and command-line tool to choose 
a Xorg server "implementation".

%prep
%setup -q

%build
make

%install
make INSTROOT=$RPM_BUILD_ROOT install

desktop-file-install --vendor system --delete-original      \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --add-category X-Red-Hat-Base                             \
  $RPM_BUILD_ROOT%{_datadir}/applications/system-config-xselector.desktop

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%preun
if [ -d /usr/share/system-config-xselector ] ; then
  rm -rf /usr/share/system-config-xselector/*.pyc
fi

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%files -f %{name}.lang
%defattr(-,root,root, -)
%{_bindir}/system-config-xselector
%{_datadir}/system-config-xselector
%{_datadir}/applications/*
%attr(0644,root,root) %config /etc/security/console.apps/system-config-xselector
%attr(0644,root,root) %config /etc/pam.d/system-config-xselector
%attr(0644,root,root) %{_datadir}/icons/hicolor/48x48/apps/system-config-xselector.png

%changelog
* Sun Sep 30 2007 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Thu Nov 14 2006 Alphonse Van Assche <alcapcom@gmail.com> 0.1-1
- init package.
